#ifndef __KERN_DNS_H
#define __KERN_DNS_H(x) __tkern_ ## x

#define _dns_set_domname    __KERN_DNS_H(dns_set_domname)
#define _dns_get_domname    __KERN_DNS_H(dns_get_domname)
#define _dns_set_hostname   __KERN_DNS_H(dns_set_hostname)
#define _dns_get_hostname   __KERN_DNS_H(dns_get_hostname)

extern int   _dns_set_domname( const char *name, int len );
extern int   _dns_get_domname( char *buf, int buflen, int bsd_pure );
extern int   _dns_set_hostname( const char *name, int len );
extern int   _dns_get_hostname( char *buf, int buflen, int bsd_pure );

#define _dns_resbyname      __KERN_DNS_H(dns_resbyname)
#define _dns_resbyaddr      __KERN_DNS_H(dns_resbyaddr)

extern int  _dns_resbyname( const char *hname, uint32_t *addrlist, int numaddrs );
extern int  _dns_resbyaddr( uint32_t addr, char *hnamebuf, unsigned int buflen );

#endif /* __KERN_DNS_H */
