/*
 * -
 * Copyright (C) 2001 Cyrus Patel <cyp@fb14.uni-mainz.de>.  
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notices, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must acknowledge providence.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHORS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHORS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * --Copyright--
 *
 *    $Id: utports.h,v 1.1 2001/05/07 11:17:21 cyp Exp $
*/
#ifndef __UTPORTS_H
#define __UTPORTS_H(x) __tkern_ ## x

#if defined(__OSILAYER__) && (__OSILAYER__ == 4) /* Transport layer */

#define localport_reserve       __UTPORTS_H(localport_reserve)
#define localport_release       __UTPORTS_H(localport_release)
#define localport_register_pius __UTPORTS_H(localport_register_pius)

extern uint16_t localport_reserve(uint16_t port, int proto, uint32_t so_locflags);
extern void localport_release(uint16_t port, int proto, unsigned int waitsecs );
extern void localport_register_pius(int ipproto, int FAR *debug_lev_ptr,
                             int (*scanner)(uint16_t port, uint32_t *so_locflags) );

#endif /* __OSILAYER__ 4 */

#endif /* __UTPORTS_H */

