/*
 * IP dynamic boot/configuration 
 * using RARP (RFC 903) 
 * and/or DHCP (RFC 1541/2131/2132)
 * and/or BOOTP (RFC 854/951/1048)
*/
#ifndef __KERN_IP_BOOT_H
#define __KERN_IP_BOOT_H(x) __tkern_ ## x

#if (defined(__OSILAYER__) && (__OSILAYER__ == 3)) /* for IP use ONLY */

#define _ip_address_boot    __KERN_IP_BOOT_H(ip_address_boot)   
extern int _ip_address_boot (uint32_t FAR *my_ip_addrP, uint32_t FAR *sin_maskP,
                             int ip_debug_lev );

#endif /* __OSILAYER__ 3 */
#endif /* __KERN_IP_BOOT_H */

