#ifndef __PRINTK_H
#define __PRINTK_H(x) __tkern_ ## x

#include <stdarg.h>

#define _vsnprintk     __PRINTK_H (vsnprintk)
#define _snprintk      __PRINTK_H (snprintk)
#define _sprintk       __PRINTK_H (sprintk)
#define _vsprintk      __PRINTK_H (vsprintk)
#define _hprintk       __PRINTK_H (hprintk)
#define _vhprintk      __PRINTK_H (vhprintk)
#define _printk        __PRINTK_H (printk)

extern int _vsnprintk (char *buf, int len, const char *fmt, va_list ap);
extern int _snprintk  (char *buf, int len, const char *fmt, ...);
extern int _vsprintk  (char *buf, const char *fmt, va_list args);
extern int _sprintk   (char *buf, const char *fmt, ...);
extern int _vhprintk  (int fd, const char *fmt, va_list args);
extern int _hprintk   (int fd, const char *fmt, ...);
extern int _printk    (const char *fmt, ...);

#endif  /* __PRINTK_H */

